summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Vincent Batts <vbatts@hashbangbash.com>2010-06-28 10:39:23 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-06-28 10:39:23 -0400
commit12d0287692c9139665de153451679c6084f9f61c (patch)
tree8a4100a7df508c16213359a849cf67bf5dd093b8 /graphics
parent657525a3b18e6aab8b3d26da4852f95168053e15 (diff)
downloadslackbuilds-12d0287692c9139665de153451679c6084f9f61c.tar.gz
slackbuilds-12d0287692c9139665de153451679c6084f9f61c.tar.xz
graphics/asciiquarium: Added (ASCII art)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/asciiquarium/README4
-rw-r--r--graphics/asciiquarium/asciiquarium.SlackBuild46
-rw-r--r--graphics/asciiquarium/asciiquarium.info10
-rw-r--r--graphics/asciiquarium/slack-desc19
4 files changed, 79 insertions, 0 deletions
diff --git a/graphics/asciiquarium/README b/graphics/asciiquarium/README
new file mode 100644
index 0000000000..5329ada208
--- /dev/null
+++ b/graphics/asciiquarium/README
@@ -0,0 +1,4 @@
+Asciiquarium is an aquarium/sea animation in ASCII art.
+
+Requires: perl-Term-Animation and perl-Curses available
+at SlackBuilds.org.
diff --git a/graphics/asciiquarium/asciiquarium.SlackBuild b/graphics/asciiquarium/asciiquarium.SlackBuild
new file mode 100644
index 0000000000..f699c7ae89
--- /dev/null
+++ b/graphics/asciiquarium/asciiquarium.SlackBuild
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Slackware build script for asciiquarium
+
+# Written by Vincent Batts, vbatts@hashbangbash.com
+
+PRGNAM=asciiquarium
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+ARCH=noarch
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${VERSION}
+tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/games/
+install -m 0755 $PRGNAM $PKG/usr/games/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES gpl.txt MANIFEST README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/asciiquarium/asciiquarium.info b/graphics/asciiquarium/asciiquarium.info
new file mode 100644
index 0000000000..98edf038c4
--- /dev/null
+++ b/graphics/asciiquarium/asciiquarium.info
@@ -0,0 +1,10 @@
+PRGNAM="asciiquarium"
+VERSION="1.0"
+HOMEPAGE="http://www.robobunny.com/projects/asciiquarium/"
+DOWNLOAD="http://www.robobunny.com/projects/asciiquarium/asciiquarium_1.0.tar.gz"
+MD5SUM="986ce9a24fd79824fb729bb947a3b9de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@hashbangbash.com"
+APPROVED="dsomero"
diff --git a/graphics/asciiquarium/slack-desc b/graphics/asciiquarium/slack-desc
new file mode 100644
index 0000000000..f578d9b7dd
--- /dev/null
+++ b/graphics/asciiquarium/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+asciiquarium: asciiquarium (ASCII art)
+asciiquarium:
+asciiquarium: aquarium/sea animation in ASCII art
+asciiquarium:
+asciiquarium:
+asciiquarium:
+asciiquarium:
+asciiquarium:
+asciiquarium:
+asciiquarium:
+asciiquarium: